// To parse this JSON data, do
//
//     final pollingResultModel = pollingResultModelFromJson(jsonString);

import 'dart:convert';

PollingResultModel pollingResultModelFromJson(String str) => PollingResultModel.fromJson(json.decode(str));

String pollingResultModelToJson(PollingResultModel data) => json.encode(data.toJson());

class PollingResultModel {
  PollingResultModel({
    this.amount,
    this.code,
    this.currency,
    this.errorMsg,
    this.result,
    this.returnMsg,
  });

  double? amount;
  String? code;
  String? currency;
  String? errorMsg;
  bool? result;
  String? returnMsg;

  factory PollingResultModel.fromJson(Map<String, dynamic> json) => PollingResultModel(
    amount: json["amount"] == null ? null : json["amount"].toDouble(),
    code: json["code"] == null ? null : json["code"],
    currency: json["currency"] == null ? null : json["currency"],
    errorMsg: json["errorMsg"] == null ? null : json["errorMsg"],
    result: json["result"] == null ? null : json["result"],
    returnMsg: json["returnMsg"] == null ? null : json["returnMsg"],
  );

  Map<String, dynamic> toJson() => {
    "amount": amount == null ? null : amount,
    "code": code == null ? null : code,
    "currency": currency == null ? null : currency,
    "errorMsg": errorMsg == null ? null : errorMsg,
    "result": result == null ? null : result,
    "returnMsg": returnMsg == null ? null : returnMsg,
  };
}
