import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:flutter_itl_bank_dispenser/flutter_itl_bank_dispenser.dart';

void main() {
  const MethodChannel channel = MethodChannel('flutter_itl_bank_dispenser');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await FlutterItlBankDispenser.platformVersion, '42');
  });
}
